org.apache.ode.il

## Class OMUtils

- java.lang.Object
- - org.apache.ode.il.OMUtils

-     public class OMUtils
      extends java.lang.Object

  Utility methods to convert from/to AxiOM and DOM.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OMUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.axiom.om.OMElement` | `getFirstChildWithName(org.apache.axiom.om.OMElement parent, java.lang.String name)`
    `static javax.xml.namespace.QName` | `getTextAsQName(org.apache.axiom.om.OMElement elmt)` Axiom is supposed to handle this properly however this method is buggy and doesn't work (whereas setting a QName as text works).
    `static org.w3c.dom.Element` | `toDOM(org.apache.axiom.om.OMElement element)`
    `static org.w3c.dom.Element` | `toDOM(org.apache.axiom.om.OMElement element, org.w3c.dom.Document doc)`
    `static org.w3c.dom.Element` | `toDOM(org.apache.axiom.om.OMElement element, org.w3c.dom.Document doc, boolean deepNS)`
    `static org.apache.axiom.om.OMElement` | `toOM(org.w3c.dom.Element src, org.apache.axiom.om.OMFactory omf)`
    `static org.apache.axiom.om.OMElement` | `toOM(org.w3c.dom.Element src, org.apache.axiom.om.OMFactory omf, org.apache.axiom.om.OMContainer parent)`
    `static org.apache.axiom.om.OMElement` | `toOM(javax.xml.transform.Source inputSource)` Parse an XML document located using an `InputSource` using the pooled document builder.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OMUtils

          public OMUtils()

  - ### Method Detail

    - #### getFirstChildWithName

          public static org.apache.axiom.om.OMElement getFirstChildWithName(org.apache.axiom.om.OMElement parent,
                                                                            java.lang.String name)

    - #### toDOM

          public static org.w3c.dom.Element toDOM(org.apache.axiom.om.OMElement element)

    - #### toDOM

          public static org.w3c.dom.Element toDOM(org.apache.axiom.om.OMElement element,
                                                  org.w3c.dom.Document doc)

    - #### toDOM

          public static org.w3c.dom.Element toDOM(org.apache.axiom.om.OMElement element,
                                                  org.w3c.dom.Document doc,
                                                  boolean deepNS)

    - #### toOM

          public static org.apache.axiom.om.OMElement toOM(org.w3c.dom.Element src,
                                                           org.apache.axiom.om.OMFactory omf)

    - #### toOM

          public static org.apache.axiom.om.OMElement toOM(org.w3c.dom.Element src,
                                                           org.apache.axiom.om.OMFactory omf,
                                                           org.apache.axiom.om.OMContainer parent)

    - #### getTextAsQName

          public static javax.xml.namespace.QName getTextAsQName(org.apache.axiom.om.OMElement elmt)

      Axiom is supposed to handle this properly however this method is buggy and doesn't work (whereas setting a QName as text works).
      Parameters:
        `elmt` -
      Returns:
        text qname

    - #### toOM

          public static org.apache.axiom.om.OMElement toOM(javax.xml.transform.Source inputSource)
                                                    throws java.io.IOException

      Parse an XML document located using an `InputSource` using the pooled document builder.
      Throws:
        `java.io.IOException`